;-------------------------------------------------------------------------------
;  UninsHs 3 - Example script
;  $Rev: 321 $   $Id: example.iss 321 2015-02-11 16:50:59Z hanjy $
;  Copyright(C) 2001, 2017 Han-soft Software. All rights reserved.
;-------------------------------------------------------------------------------

[Setup]
AppID = My_App
AppName = My Application
OutputBaseFilename = My_App_Setup.exe
AppVersion = 1.0
DefaultDirName = {pf}\My_App
DefaultGroupName = My Application
UninstallDisplayIcon = {app}\App.exe,0
UninstallDisplayName = My Application

#define Use_UninsHs_Default_CustomMessages
#include "uninshs.iss"

[Languages]
; Add these lines for multi-languages support
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "fr"; MessagesFile: "compiler:Languages\French.isl"

[Components]
Name: main; Description: "Main"; Types: full compact custom; Flags: fixed

; For non-fixed components, Add DisableNoUninstallWarning flag
Name: extension; Description: "Extension"; Types: full compact; \
  Flags: DisableNoUninstallWarning
Name: help; Description: "Help"; Types: full; Flags: DisableNoUninstallWarning

[Files]
Source: "App.exe"; DestDir: "{app}"; Components: main;
Source: "App.dll"; DestDir: "{app}"; Components: main;
Source: "AppExt.dll"; DestDir: "{app}"; Components: extension;
Source: "App.chm"; DestDir: "{app}"; Components: help;

[InstallDelete]
Type: files; Name: "{pf}\My_App\AppExt.dll";
Type: files; Name: "{pf}\My_App\App.chm";

[Icons]
Name: {group}\My Application; Filename: "{app}\App.exe"; WorkingDir: "{app}"
Name: {group}\Help; Filename: "{app}\App.chm"

; Add the Uninstall menu item in the start menu
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; \
  Comment: "Uninstall My Application";

[Run]
; Add the "Check: UninsHs_IsInstallation();" to lines which has postinstall flag
FileName: "{app}\App.chm"; Description: "Open the help document"; \
  WorkingDir: "{app}"; Verb: open; \
  Flags: shellexec skipifdoesntexist nowait skipifsilent postinstall; \
  Check: UninsHs_IsInstallation(); Components: help;

[CustomMessages]
; Add these line to support	French
fr.MaintenancePageCaption =Maintenance de l'application %1
fr.MaintenancePageDescription =Modifier, réparer, ou supprimer l'application %1.
fr.Modify =&Modifier
fr.Repair =&Réparer
fr.Remove =&Supprimer
fr.ModifyInfo =Change les composants installés de l'application. Cette option \
  affiche la boîte de dialogue dans laquelle vous pouvez changer les \
  composants installés.
fr.RepairInfo =Répare les erreurs de l'application. Cette opération répare les \
  fichiers manquants ou corrompus, les raccourcis et les entrées de la base de \
  registre.
fr.RemoveInfo =Entfernt das Programm von Ihrem Computer.
fr.ReadyToRepair =Veuillez appuyer sur <Suivant> pour réparer l'application.
fr.ReadyToRemove =Veuillez appuyer sur <Suivant> pour supprimer l'application \
  de votre ordinateur.

[Code]

procedure InitializeWizard();
begin
  UninsHs_InitializeWizard();
end;

procedure CurPageChanged(CurPageID: Integer);
begin
  UninsHs_CurPageChanged(CurPageID);
end;

function ShouldSkipPage(CurPageId: Integer): Boolean;
begin
  Result := False;
  UninsHs_ShouldSkipPage(CurPageId, Result);
end;

function NextButtonClick(CurPageID: Integer): Boolean;
begin
  Result := True;
  UninsHs_NextButtonClick(CurPageID, Result);
end;

procedure CancelButtonClick(CurPageID: Integer; var Cancel, Confirm: Boolean);
begin
  UninsHs_CancelButtonClick(CurPageID, Cancel, Confirm);
end;

function InitializeUninstall(): Boolean;
begin
  Result := True;
  UninsHs_InitializeUninstall(Result);
end;

